Bug Hunting Session
Bug 99634 - UI: Use 'Formula' rather than 'Function' as tooltip label of equal sign button
Summary: UI: Use 'Formula' rather than 'Function' as tooltip label of equal sign button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium minor
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Calc-Formula-Bar
  Show dependency treegraph
 
Reported: 2016-05-02 17:22 UTC by frachiar@tiscali.it
Modified: 2017-07-26 15:57 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description frachiar@tiscali.it 2016-05-02 17:22:35 UTC
Please change the tooltip "function" in "formula" when mouse over "=" in formula bar. Actually I can also write =2+3 which is not a function, but just a formula.
Comment 1 Gabriele Ponzo 2016-05-02 17:56:31 UTC
Good point, I do agree.
Comment 2 Julien Nabet 2016-05-02 21:29:20 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

ux-team: any thoughts?
Comment 3 Ronald Baby 2016-05-05 13:21:33 UTC
Agree, confirmed in Kubuntu 16.04 version 5.1.2.2 Build ID 1:5.1.2-0ubuntu1
Comment 4 Robinson Tryon (qubit) 2016-08-25 05:49:20 UTC Comment hidden (obsolete)
Comment 5 Yousuf Philips (jay) (retired) 2017-07-24 21:25:20 UTC
Seems like a one-liner to fix, as long as we have agreement on the change.

Cor, Stuart, Eike, Heiko, Tommy: What's your take?

https://opengrok.libreoffice.org/xref/core/sc/inc/strings.hrc#179
Comment 6 Heiko Tietze 2017-07-24 22:29:08 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> Cor, Stuart, Eike, Heiko, Tommy: What's your take?

Bike shedding to me but Wikipedia adopts the math talk with 'formula' for '=4/3*pi()*r³' and leaves the tech talk 'function' for informatics. So +1 for the change.And let's invite Sophie to the party.
Comment 7 V Stuart Foote 2017-07-24 22:39:45 UTC
The toggle action of the button "composes" the formula OR "accepts" the formula and evaluates.

So while the formula is composed of functions, cell ranges, and static values, labeling it "Function" in the tooltip is not correct.

Action "Compose" would be more correct--matched with the "Accept" or "Cancel" button widgets, but "Formula" IS a better tooltip than "Function".

If not change "Function" -> "Compose",  then "Function" -> "Formula" is acceptable.
Comment 8 sophie 2017-07-25 08:21:09 UTC
Hi, I agree with Stuart analysis, but might be difficult to understand for average users, Compose is not part of the general vocabulary while Formula is, so voting for Formula :-) Sophie
Comment 9 Eike Rathke 2017-07-25 15:52:28 UTC
You can enter a formula expression when clicking that button as it does nothing else than only starting a cell edit with an equal sign character, so Formula is fine.

Compose is without any meaning to not so adept users.
Comment 10 Yousuf Philips (jay) (retired) 2017-07-25 19:54:47 UTC
Patch is in.

https://gerrit.libreoffice.org/40431
Comment 11 Commit Notification 2017-07-26 08:09:33 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88dfd1ed710ee2b4b606f18ff5c3f34f626ec394

tdf#99634 Change equal sign tooltip to 'Formula'

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.